//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}baseId" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}defaultBaseId" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}id" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}identifierAssociation" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "baseId",
    "defaultBaseId",
    "id",
    "identifierAssociation"
})
@XmlRootElement(name = "ids")
public class Ids {

    private List<BaseId> baseId;
    private List<DefaultBaseId> defaultBaseId;
    private List<Id> id;
    private List<IdentifierAssociation> identifierAssociation;

    /**
     * Gets the value of the baseId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the baseId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBaseId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BaseId }
     * @return object list {@link BaseId }
     * 
     */
    public List<BaseId> getBaseId() {
        if (baseId == null) {
            baseId = new ArrayList<>();
        }
        return this.baseId;
    }

    /**
     * Gets the value of the defaultBaseId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the defaultBaseId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDefaultBaseId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DefaultBaseId }
     * @return object list {@link DefaultBaseId }
     * 
     */
    public List<DefaultBaseId> getDefaultBaseId() {
        if (defaultBaseId == null) {
            defaultBaseId = new ArrayList<>();
        }
        return this.defaultBaseId;
    }

    /**
     * Gets the value of the id property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the id property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Id }
     * @return object list {@link Id }
     * 
     */
    public List<Id> getId() {
        if (id == null) {
            id = new ArrayList<>();
        }
        return this.id;
    }

    /**
     * Gets the value of the identifierAssociation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the identifierAssociation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIdentifierAssociation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link IdentifierAssociation }
     * @return object list {@link IdentifierAssociation }
     * 
     */
    public List<IdentifierAssociation> getIdentifierAssociation() {
        if (identifierAssociation == null) {
            identifierAssociation = new ArrayList<>();
        }
        return this.identifierAssociation;
    }

}
